Index: smmp.pyf
===================================================================
--- smmp.pyf	(revision 8d0e6d6b0d1007b411efbb816ee34bd6081f8aab)
+++ smmp.pyf	(revision ffd2d46888ff96b67701d9b306ce4aac68b5bd99)
@@ -763,94 +770,94 @@
             character dimension(100,4) :: nmath
             character dimension(100,3) :: nmvrh
-            integer*4 dimension(100) :: ityath
-            integer*4 dimension(100) :: iowath
-            integer*4 dimension(100) :: iyowath
-            integer*4 dimension(100) :: nbdath
-            integer*4 dimension(3,100) :: ibdath
-            integer*4 dimension(3,100) :: iybdath
-            integer*4 dimension(100) :: ityvrh
-            integer*4 dimension(100) :: iclvrh
-            integer*4 dimension(100) :: iatvrh
+            integer dimension(100) :: ityath
+            integer dimension(100) :: iowath
+            integer dimension(100) :: iyowath
+            integer dimension(100) :: nbdath
+            integer dimension(3,100) :: ibdath
+            integer dimension(3,100) :: iybdath
+            integer dimension(100) :: ityvrh
+            integer dimension(100) :: iclvrh
+            integer dimension(100) :: iatvrh
             character dimension(100,4) :: seq
-            real*8 dimension(2600) :: rvdw
-            real*8 dimension(2600) :: sigma
-            real*8 dimension(2600,3) :: gradan
-            integer*4 dimension(18,18) :: ihbty
-            integer*4 :: npnt
+            double precision dimension(2600) :: rvdw
+            double precision dimension(2600) :: sigma
+            double precision dimension(2600,3) :: gradan
+            integer dimension(18,18) :: ihbty
+            integer :: npnt
             character dimension(10,80) :: nmml
-            real*8 dimension(18,18) :: cij
-            real*8 dimension(18,18) :: aij
-            real*8 dimension(18,18) :: a14
-            real*8 dimension(18,18) :: chb
-            real*8 dimension(18,18) :: ahb
-            real*8 dimension(19) :: e0to
-            real*8 dimension(19) :: sgto
-            real*8 dimension(19) :: rnto
-            real*8 dimension(19) :: esnto
-            real*8 :: conv
-            real*8 :: plt
-            real*8 :: slp
-            real*8 :: cohb
-            integer*4 dimension(100) :: iatrs1
-            integer*4 dimension(100) :: iatrs2
-            integer*4 dimension(100) :: ixatrs
-            integer*4 dimension(100) :: ivrrs1
-            integer*4 dimension(100) :: nvrrs
-            integer*4 :: ntlrt
-            integer*4 :: ntlsu
-            integer*4 dimension(500) :: i1vrrt
-            integer*4 dimension(500) :: i2vrrt
-            integer*4 dimension(4800) :: iprtsu
-            integer*4 dimension(800) :: i1rtsu
-            integer*4 dimension(800) :: nrtsu
-            integer*4 dimension(800) :: i1vrsu
-            integer*4 dimension(800) :: i2vrsu
-            integer*4 dimension(800) :: ipvrsu
-            real*8 dimension(3,10) :: rfpt
-            real*8 dimension(6,10) :: gbpr
-            real*8 dimension(3,10) :: xrfax
-            real*8 dimension(3,10) :: yrfax
-            real*8 dimension(3,10) :: zrfax
+            double precision dimension(18,18) :: cij
+            double precision dimension(18,18) :: aij
+            double precision dimension(18,18) :: a14
+            double precision dimension(18,18) :: chb
+            double precision dimension(18,18) :: ahb
+            double precision dimension(19) :: e0to
+            double precision dimension(19) :: sgto
+            double precision dimension(19) :: rnto
+            double precision dimension(19) :: esnto
+            double precision :: conv
+            double precision :: plt
+            double precision :: slp
+            double precision :: cohb
+            integer dimension(100) :: iatrs1
+            integer dimension(100) :: iatrs2
+            integer dimension(100) :: ixatrs
+            integer dimension(100) :: ivrrs1
+            integer dimension(100) :: nvrrs
+            integer :: ntlrt
+            integer :: ntlsu
+            integer dimension(500) :: i1vrrt
+            integer dimension(500) :: i2vrrt
+            integer dimension(4800) :: iprtsu
+            integer dimension(800) :: i1rtsu
+            integer dimension(800) :: nrtsu
+            integer dimension(800) :: i1vrsu
+            integer dimension(800) :: i2vrsu
+            integer dimension(800) :: ipvrsu
+            double precision dimension(3,10) :: rfpt
+            double precision dimension(6,10) :: gbpr
+            double precision dimension(3,10) :: xrfax
+            double precision dimension(3,10) :: yrfax
+            double precision dimension(3,10) :: zrfax
             logical dimension(800) :: fxvr
-            real*8 :: eyel
-            real*8 :: eyvw
-            real*8 :: eyhb
-            real*8 :: eyvr
-            real*8 :: eysm
-            real*8 :: eysl
-            real*8 :: eyrg
-            real*8 :: eyslh
-            real*8 :: eyslp
-            real*8 :: eyab
-            real*8 :: eysmi
-            real*8 :: eyhbi
-            real*8 :: eyeli
-            real*8 :: eyvwi
-            real*8 dimension(800) :: gdeyvr
-            real*8 dimension(800) :: gdeyrg
-            real*8 dimension(800) :: gdeysl
-            real*8 dimension(60) :: gdeygb
-            real*8 :: wtey
-            real*8 :: wtrg
-            integer*4 dimension(800) :: iatvr
-            integer*4 dimension(800) :: ityvr
-            integer*4 dimension(800) :: iclvr
-            integer*4 dimension(800) :: iorvr
-            integer*4 dimension(800) :: imsvr1
-            integer*4 dimension(800) :: imsvr2
-            integer*4 dimension(2400) :: latms1
-            integer*4 dimension(2400) :: latms2
-            integer*4 dimension(800) :: iadvr1
-            integer*4 dimension(800) :: iadvr2
-            integer*4 dimension(800) :: ladvr
-            integer*4 dimension(800) :: idvr
+            double precision :: eyel
+            double precision :: eyvw
+            double precision :: eyhb
+            double precision :: eyvr
+            double precision :: eysm
+            double precision :: eysl
+            double precision :: eyrg
+            double precision :: eyslh
+            double precision :: eyslp
+            double precision :: eyab
+            double precision :: eysmi
+            double precision :: eyhbi
+            double precision :: eyeli
+            double precision :: eyvwi
+            double precision dimension(800) :: gdeyvr
+            double precision dimension(800) :: gdeyrg
+            double precision dimension(800) :: gdeysl
+            double precision dimension(60) :: gdeygb
+            double precision :: wtey
+            double precision :: wtrg
+            integer dimension(800) :: iatvr
+            integer dimension(800) :: ityvr
+            integer dimension(800) :: iclvr
+            integer dimension(800) :: iorvr
+            integer dimension(800) :: imsvr1
+            integer dimension(800) :: imsvr2
+            integer dimension(2400) :: latms1
+            integer dimension(2400) :: latms2
+            integer dimension(800) :: iadvr1
+            integer dimension(800) :: iadvr2
+            integer dimension(800) :: ladvr
+            integer dimension(800) :: idvr
             integer :: enysolct
-            character dimension(3,800) :: nmvr
-            real*8 :: boxsize
+            character dimension(800,3) :: nmvr
+            double precision :: boxsize
             integer :: seed
-            character*100 :: zimm
-            integer*4 :: itysol
+            character*mxrs :: zimm
+            integer :: itysol
             logical :: isolscl
-            real*8 dimension(100) :: rsstrg
+            double precision dimension(100) :: rsstrg
             character dimension(35,4) :: rsnmcd
             character dimension(35) :: onltcd
